List sales order attachments
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/attachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"original_filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded_by": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Sales Orders
List sales order attachments
List all files attached to a sales order. Returns a bare array (not paginated).
Requires the salesOrders.read permission on the API token’s owner.
GET
/
sales-orders
/
{salesOrderId}
/
attachments
List sales order attachments
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Sales order ID
Response
List of attachments
Attachment ID
The original name of the uploaded file.
The file's MIME type (e.g. application/pdf).
File size in bytes.
The user who uploaded the file. Null if the uploader is unknown.
Show child attributes
Show child attributes
ISO 8601 timestamp of when the attachment was created.